View topic - Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Users-contributed CVS development builds. Post here your questions about compiling the source code.

Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Mar 27, 2013 5:10 pm

I haven't been able to sign into graphicall while blenderstorm is down, so I'm uploading this here for anyone wishing to test the recent commits.

Yafaray 0.1.2 for Blender 2.66.3, as at 25th March, for Ubuntu 12.04 64 bit.

yafaray-0.1.2_Blen-2.66.3.7z
(1.56 MiB) Downloaded 368 times

This build is out of date, and has been replaced by this one:- http://www.graphicall.org/1019
Last edited by stoneage on Wed Apr 24, 2013 8:52 pm, edited 1 time in total.
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Fri Apr 05, 2013 6:41 pm

Updated build to include the recent commits:-

Black Dots Fix
https://github.com/YafaRay/Core/commit/ ... 06ff3e5747

Hangs and crashes in Linux
https://github.com/YafaRay/Core/commit/ ... ff2287865b

64 bit Ubuntu 12.04 (rename the folder yafaray and move to /scripts/addons):-
yafaray2.66_4-april.7z
(1.61 MiB) Downloaded 386 times
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 12:08 am

Thanks. :D
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 11:11 am

I Can't thick the box to enable yafaray.
:cry:
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 11:30 am

Hmmm. Can't say what the problem might be. I tested with 2.66a from blender.org and with a recent svn build (2.66.5 -r55783).

Is yours more recent, and is there anything meaningful in the console when you try to enable it?

I have only tested on Ubuntu 12.04, it may not run on 12.10 or 13.04.
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 2:22 pm

I download it today from blender org.
My ubuntu is 12.04 64bit.
I once read someone with same problem but I couldn't find the topic.
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 5:48 pm

here is the console report when I click the box:
Code: Select all
ERROR: Failed to load library libyafaraycore.so, OSError('/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/bin/libyafaraycore.so: wrong ELF class: ELFCLASS64',)
ERROR: Failed to load library libyafarayplugin.so, OSError('/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/bin/libyafarayplugin.so: wrong ELF class: ELFCLASS64',)
Traceback (most recent call last):
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/modules/addon_utils.py", line 269, in enable
    mod = __import__(module_name)
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/__init__.py", line 81, in <module>
    from . import io
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/io/__init__.py", line 21, in <module>
    import yafrayinterface
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/bin/yafrayinterface.py", line 26, in <module>
    _yafrayinterface = swig_import_helper()
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/bin/yafrayinterface.py", line 22, in swig_import_helper
    _mod = imp.load_module('_yafrayinterface', fp, pathname, description)
  File "/home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/python/lib/python3.3/imp.py", line 164, in load_module
    return load_dynamic(name, filename, file)
ImportError: /home/user/Transferências/blender-2.66a-linux-glibc211-i686/2.66/scripts/addons/yafaray/bin/_yafrayinterface.so: wrong ELF class: ELFCLASS64
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Tue Apr 09, 2013 6:15 pm

It's a version mismatch. Isn't i686 the 32 bit Blender version?
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Apr 10, 2013 8:42 pm

stoneage wrote:It's a version mismatch. Isn't i686 the 32 bit Blender version?

:oops: I need more cofee :D

It's already working.
Nonetheless jpeg textures don't work with yafaray in this version too.
Console:
Code: Select all
ERROR: JPEG Library Error: Wrong JPEG library version: library is 62, caller expects 80
ERROR: ImageTexture: Couldn't load image file, dropping texture.
ERROR: Environment: No Texture was constructed by plugin 'image'!


Its an old problem that since 2.63 never worked as expected...
No one gave me any answer for this yet... :cry:
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Apr 10, 2013 8:55 pm

I have jpeg textures working:-
INFO: Exporter: Creating Texture: 'Tex' type IMAGE: /home/organic/Desktop/compositingf.jpg


I have libjpeg-turbo8; libjpeg8 and libjpeg62
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Apr 10, 2013 10:40 pm

I have those libraries too, but same old problem... :cry:
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Apr 10, 2013 10:53 pm

Blender build is from the blender.org site.
I think blender 2.66 was compiled with libjpeg62
Yafaray was compiled using libjpeg8 right?
Don't you think the yafaray builds should be compiled matching the same official blender builds?
Otherwise, what's the use of builds if we need to compile on our own?
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Wed Apr 10, 2013 11:16 pm

SOLVED
Used blender from here
http://ppa.launchpad.net/irie/blender/ubuntu

It uses same yafaray library! :D

But why does blender org has this crazy blender build? :roll:

Anyway, Stoneage, I'm impressed the build seems perfect with sphere maps :D with no more black dots and sunsky add sun is again pefect.
:D
Arquitecto can be contacted here:
Arquitectos
Arquitecto
 
Posts: 249
Joined: Mon Jul 27, 2009 8:42 am
Location: Portugal

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Thu Apr 11, 2013 12:02 am

Indeed, it seems the vanilla Blender has the problem, while my self-compiled Blender can load .jpg images.

Not sure what the underlying issue is though, and unfortunately it doesn't seem to affect Blender renders, so there's probably no chance of having a bug report accepted. I guess it could be a lack of compatibility with the libjpeg versions used.

I tested the buildbot Blender versions, but same result with that - no .jpg loaded.

Thanks for pointing it out. It might be worth making a Yafaray bug report/feature request. I will try asking on irc about linking additional jpeg libs for compiling Yafaray.


EDIT - .....and graphicall.org seems to be functional again now. The build is uploaded there too.
User avatar
stoneage
 
Posts: 1241
Joined: Sun Dec 23, 2007 1:06 pm

Re: Yafaray 0.1.2 build for Blender 2.66.3 on linux x64

Post Thu Apr 11, 2013 3:26 am

stoneage wrote:Indeed, it seems the vanilla Blender has the problem, while my self-compiled Blender can load .jpg images.

Not sure what the underlying issue is though, and unfortunately it doesn't seem to affect Blender renders, so there's probably no chance of having a bug report accepted. I guess it could be a lack of compatibility with the libjpeg versions used.

I tested the buildbot Blender versions, but same result with that - no .jpg loaded.

Thanks for pointing it out. It might be worth making a Yafaray bug report/feature request. I will try asking on irc about linking additional jpeg libs for compiling Yafaray.


EDIT - .....and graphicall.org seems to be functional again now. The build is uploaded there too.


Same problem for me with .jpg libs in Ubuntu 12.04 32 bits.
povmaniac
 
Posts: 173
Joined: Wed Dec 12, 2012 10:01 am

Next

Return to Testing Builds



Who is online

Users browsing this forum: No registered users and 4 guests

cron